#!/bin/sh
[ "$1" = "-h" ] && cat <<tac

This example tests the following features of the sanitizer:

  - scanning of forwarded messages

tac
$ANOMY/bin/sanitizer.pl \
    'header_rev = 0' \
    'feat_testing = 1' \
    'feat_forwards = 1' \
    'file_list_2_policy = accept' \
    'file_list_2 = (?i)\.(txt|jpe?g|tiff?)$' \
    'feat_log_inline = 1' \
    'feat_log_stderr = 0' <<EOF 2>test.log >test.out
From dood@xyz  Mon Dec 11 18:30:26 2000
Return-Path: <dood@xyz>
From: dood@xyz
Received: from localhost
	by localhost with POP3 (fetchmail-5.0.0)
	for bre@localhost (single-drop); Mon, 11 Dec 2000 18:30:05 +0000 (GMT)
Subject: Grf, argh.
To: dood@zyx
X-Mailer: Lotus Notes Release 5.0.3 (Intl) 21 March 2000
Message-ID: <OF267C9E.448464-ON0569AE.00304019@xyz>
Date: Thu, 7 Dec 2000 08:47:14 +0000
X-MIMETrack: Serialize by Router on Spacekow/K0W/IS(Release 5.0.3 (Intl)|21 March 2000) at
 07.12.2000 08:47:20
MIME-Version: 1.0
Content-type: multipart/mixed; 
	Boundary="0__=002569AE003040198f9e8a93df938690918c002569AE00304019"
Content-Disposition: inline

--0__=002569AE003040198f9e8a93df938690918c002569AE00304019
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: quoted-printable


----- Forwarded by dood H. Kristinsson/LMI/IS on 07.12.2000 08:47 ---=
--
                                                                       =
                    =20
                    Dood D.                                          =
                    =20
                    Doodsson             To:     Grumblebutt
                    28.11.2000           cc:                           =
                    =20
                    14:08                Subject:     Grf, ARGH        =
                    =20
                                                                       =
                    =20
                                                                       =
                    =20


This is quote-printable text.

----- Forwarded by Dood D. Doodsson/K0W/IS on 28.11.2000 13:31 ---=
--
                                                                       =
                    =20
                    John Perry                                        =
                    =20
                    Buzzard              To:     Dood D. Doodsson/=
K0W/IS@KOW          =20
                                         cc:                           =
                    =20
                    28.11.2000           Subject:     :))))))))))))))  =
                    =20
                    13:29                                              =
                    =20
                                                                       =
                    =20
                                                                       =
                    =20



(See attached file: Munchbug.fh7)(See attached file: Munchbug.jpg)(See
attached file: Munchbug.tif)

=

--0__=002569AE003040198f9e8a93df938690918c002569AE00304019
Content-type: application/octet-stream; 
	name="=?iso-8859-1?Q?Munchbug.fh7?="
Content-Disposition: attachment; filename="=?iso-8859-1?Q?Munchbug.fh7?="
Content-transfer-encoding: base64

QUdEMr64u80AANC5AAIABVRpbWVzAAAAAAgAHzE5ODguNzQyNjc1NzgxMiAxOTkwLjkwNTUxNzU3
ODEAAAUAEUxhc3REb2NWaWV3Q2VudGVyAAAAAAQADDAuNTQ1MzE4NjAzNQAAAAAABQAQTGFzdERv
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
ODEAAAUAEUxhc3REb2NWaWV3Q2VudGVyAAAAAAQADDAuNTQ1MzE4NjAzNQAAAAAABQAQTGFzdERv
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
ODEAAAUAEUxhc3REb2NWaWV3Q2VudGVyAAAAAAQADDAuNTQ1MzE4NjAzNQAAAAAABQAQTGFzdERv
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
ODEAAAUAEUxhc3REb2NWaWV3Q2VudGVyAAAAAAQADDAuNTQ1MzE4NjAzNQAAAAAABQAQTGFzdERv
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
ODEAAAUAEUxhc3REb2NWaWV3Q2VudGVyAAAAAAQADDAuNTQ1MzE4NjAzNQAAAAAABQAQTGFzdERv
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABQUlZXQUdEMgAA
1bw=

--0__=002569AE003040198f9e8a93df938690918c002569AE00304019
Content-type: image/jpeg; 
	name="=?iso-8859-1?Q?Munchbug.jpg?="
Content-Disposition: attachment; filename="=?iso-8859-1?Q?Munchbug.jpg?="
Content-transfer-encoding: base64
Content-Description: JPEG File Interchange

/9j/4AAQSkZJRgABAQAAAQABA//////DAAgGBgcGBQgHBwcJCQg//QNDAsL/DBkSEw8UHRofHh0a
HBwgJCtwoAnDsIxpeDcpLDAxNDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIy
MjIy/////////////jIKKyMjIyMjIyMjIjIyMjIyMjIyMjIyMjIyMjIyMjL/wAARCAEQAVQDASIA
AhEBAxEB/8QAHwAAAQUBAQEBBJARNIAQEAAAAAECAwQFBgcICQoL/8QAtRAAAgEDAwIEAwUFBAQA
AAF9AQIDAAQRBRIhMUEGE1FhByJxFDKBkaEI///xwRVS0fAkM2JyggkKFhcYGRolJicoKSo0NTY3
ODk6Q0RFRkdISUpTVFVVhkZWZnaGiiigAoOo0AKKKKACiiigAoOo0AKKKKACiiigAoOo0AKKKKAC
iiigAoOo0AKKKKACiiigAoOo0AKKKKACiiigAoOo0AKKKKACiiigAoOo0AKKKKACiiigAoOo0AKK
KKACiiigAoOo0AKKKKACiiigAoOo0AKLLKKKACiiigAoooKKKKACiiigAoOo0AKKKKACiiigAooo
oAKKKKACiiigAoOo0AKKKKACiiigAoOo0AKKKKACiiigAoOo0AKKKKACiiigAoOo0AKKKKACiiig
AoOo0A//2Q==

--0__=002569AE003040198f9e8a93df938690918c002569AE00304019
Content-type: image/tiff; 
	name="=?iso-8859-1?Q?Munchbug.tif?="
Content-Disposition: attachment; filename="=?iso-8859-1?Q?Munchbug.tif?="
Content-transfer-encoding: base64
Content-Description: Tagged Image File Format

TU0AKgAEO8j/////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
///////////////////////////////A////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
AAK9SAAC3SgAAv0IAAMc6AADPMgAA1yoAAN8iAADnGgAA7xIAAPcKAAD/AgABBvoAAAf4AAAH+AA
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
AB/gAAAf4AAAH+AAAB/gAAAf4AAAH+AAAB/gAAAA4AAAH+AAAB/gAAAf4AAAH+AAAB/gAAAf4AAA
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
H+AAAB/gAABf4AAAH+AAAB/gBAAf4ACAH+AAAB/gADAf4ABAH+AAAB/gAAAf4AAAH+AAAB/gAAAf
4AAAH+AAAB/gABAf4BIAAAAAIAAAEgADAAAgAAA=

--0__=002569AE003040198f9e8a93df938690918c002569AE00304019
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: quoted-printable

---- Forwarded message from Bjarni. R. Einarsson -----
To: Bjarni
From: Logi Ragnarsson
Subject: Jolaflug
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="45Z9DzgjV8m4Oswq"
Content-Disposition: inline

--45Z9DzgjV8m4Oswq
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Splat

--45Z9DzgjV8m4Oswq
Content-Type: image/jpeg
Content-Disposition: attachment; filename="jolaflug.jpg.unk"
Content-Transfer-Encoding: base64

/9j/4AAQSkZJRgABAQEBLAEsAAD/2wBDABALDA4MChAODQ4SERATGCgaGBYWGDEjJR0oOjM9
PDkzODdASFxOQERXRTc4UG1RV19iZ2hnPk1xeXBkeFxlZ2P/2wBDARESEhgVGC8aGi9jQjhC
Y2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2P/wAAR
CAGwAkADASIAAhEBAxEB/8QAHwAAAQUBAQEBAQEAAAAAAAAAAAECAwQFBgcICQoL/8QAtRAA
zK8SnqACKzdao/dkdFShh4w5qbbY+6WJ1Bm25UYBY9Ky5jGrfIykexqWa1toOzzP6k4FV2Xc
2dqr7CqiuxxuwwyrTTKewp/lAU4RqO1WIgLv2pQsjnAzT2D7/lAxUoYK2RRYLk9vpxZAZZNv
sBzT7iwjjhd1dyVGecU5b+NUAwxNQz35lRkCABhjk5qUpD0KR5ptPpp4NXJCixKDRR2qDQaK
U0lONAhvanwkCVc9CcH8ab3pD3pgSPGYpCjfh70lT3H7yGOcdhg/5/OpYYOMsM0RlpqTJalT
HPSlEbnojH8K0VIAwsQH0FSI3OCPzo5xWMsQyf3CPwqRbVz1KitPIPYfnTeeccZqedhY/9k=

--45Z9DzgjV8m4Oswq--

---- End forwarded message  ----

I'm a spooky space guy.   Boo.  Boooo.

--0__=002569AE003040198f9e8a93df938690918c002569AE00304019--

EOF
